Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class MixinInMetaClass

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentMap
              org.codehaus.groovy.util.ManagedConcurrentMap
                  org.codehaus.groovy.reflection.MixinInMetaClass

    public class MixinInMetaClass
    extends ManagedConcurrentMap

Field Summary

Fields inherited from class ManagedConcurrentMap
bundle

Fields inherited from class AbstractConcurrentMapBase
MAXIMUM_CAPACITY, segments

Constructor Summary
`MixinInMetaClass(ExpandoMetaClass emc, CachedClass mixinClass)`

Method Summary
`boolean` | `equals(Object o)`
`CachedClass` | `getInstanceClass()`
`CachedClass` | `getMixinClass()`
`Object` | `getMixinInstance(Object object)`
`int` | `hashCode()`
`static void` | `mixinClassesToMetaClass(MetaClass self, List categoryClasses)`
`void` | `setMixinInstance(Object object, Object mixinInstance)`

Methods inherited from class ManagedConcurrentMap
createSegment

Methods inherited from class AbstractConcurrentMap
get, getOrPut, put, remove, segmentFor

Methods inherited from class AbstractConcurrentMapBase
createSegment, fullSize, hash, segmentFor, size

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MixinInMetaClass

    public MixinInMetaClass(ExpandoMetaClass emc, CachedClass mixinClass)

Method Detail

### equals

    public boolean equals(Object o)

### getInstanceClass

    public CachedClass getInstanceClass()

### getMixinClass

    public CachedClass getMixinClass()

### getMixinInstance

    public Object getMixinInstance(Object object)

### hashCode

    public int hashCode()

### mixinClassesToMetaClass

    public static void mixinClassesToMetaClass(MetaClass self, List categoryClasses)

### setMixinInstance

    public void setMixinInstance(Object object, Object mixinInstance)

Copyright © 2003-2010 The Codehaus. All rights reserved.